Bug 515053 - Review Request: sugar-getiabooks - Internet Archive Books receiver for Sugar
Review Request: sugar-getiabooks - Internet Archive Books receiver for Sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-08-01 07:43 EDT by Fabian Affolter
Modified: 2009-12-07 02:34 EST (History)
2 users (show)

See Also:
Fixed In Version: 3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 02:34:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-08-01 07:43:44 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-getiabooks.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-getiabooks-2-1.fc11.src.rpm

Project URL: http://wiki.sugarlabs.org/go/Activities/Get_Internet_Archive_Books

Description:
This Activity will use the Advanced Search capabilities of the
Internet Archive website to enable browsing the website's catalog,
getting information on the books therein, and downloading these
books to the Journal. Its user interface is similar to the offline
catalog search of Read Etexts, but where that Activity is used for
both getting books and reading them this one will concern itself
only with getting the books, so they may be read with the Read
Activity.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1571774

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint sugar-getiabooks-2-1.fc11.src.rpm 
sugar-getiabooks.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop09 noarch]$ rpmlint sugar-getiabooks-2-1.fc11.noarch.rpm 
sugar-getiabooks.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Jason Tibbitts 2009-09-09 20:20:14 EDT
I was going to review this, but then I noticed that version 3 is out.  Did you want to update this package?
Comment 3 Jason Tibbitts 2009-11-03 10:25:50 EST
Hmm, it's been longer than I thought since I looked at this.

Builds fine; rpmlint just says 
  sugar-getiabooks.noarch: W: non-standard-group Sugar/Activities
which is OK; I'm not sure why rpmlint still complains about this as we don't particularly care what goes in group anyway.

The NEWS file seems to be present twice in the final package.

Nothing seems to own /usr/share/sugar/activities.  (Well, etoys owns it, but that's not in the dependency chain.)  I think this is probably a bug in sugar, but absent that it's a bug in the guidelines and this package should own %{sugaractivitydir}.  I've inquired on the fedora-packaging list.

* source files match upstream.  sha256sum:
   fa25987241db043235b132c2c12aba56b1865947e35180990ea32c431c326fa4
   GetIABooks-3.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK (though it's no longer required at all).
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   sugar-getiabooks = 3-1.fc12
  =
   /usr/bin/env
   sugar
   (python is pulled in indirectly via sugar)
? nothing seems to own %{sugaractivitydir}.
* doesn't own any directories it shouldn't.
X NEWS seems to be duplicated.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 4 Jason Tibbitts 2009-11-04 13:01:29 EST
Turns out that this package is doing the right thing with respect to %{sugaractivitydir}; the main sugar package will be fixed to own it.  That just leaves the NEWS file, which should be easy to either fix up or justify.
Comment 5 Fabian Affolter 2009-11-13 18:31:24 EST
Thanks for the review Jason. The issue with the NEWS file is fixed now. 

Here are the updated files:
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-getiabooks.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-getiabooks-3-2.fc11.src.rpm
Comment 6 Jason Tibbitts 2009-11-16 15:05:01 EST
Note that the spec above doesn't match what's in the srpm above; the latter elicits an incoherent-version-in-changelog complaint from rpm.  I guess you fixed that in the separate spec.  Please let me know that you're doing things like that to avoid confusion.

Anyway, aside from that rpmlint complaint which you've already fixed, this looks good.  APPROVED
Comment 7 Fabian Affolter 2009-11-19 12:30:27 EST
Sorry, it seams that I fixed the incoherent-version-in-changelog issue after the rpm build process and uploaded the stuff before make a new srpm. Thanks for the hint. 

New Package CVS Request
=======================
Package Name: sugar-getiabooks 
Short Description: Internet Archive Books receiver for Sugar
Owners: fab
Branches: F-11 F-12
InitialCC:
Comment 8 Jason Tibbitts 2009-11-19 20:21:26 EST
CVS done.
Comment 9 Fedora Update System 2009-11-20 18:47:14 EST
sugar-getiabooks-3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sugar-getiabooks-3-2.fc12
Comment 10 Fedora Update System 2009-11-20 18:47:19 EST
sugar-getiabooks-3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-getiabooks-3-2.fc11
Comment 11 Fedora Update System 2009-11-24 02:51:34 EST
sugar-getiabooks-3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-getiabooks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11963
Comment 12 Fedora Update System 2009-11-24 02:56:26 EST
sugar-getiabooks-3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-getiabooks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11999
Comment 13 Fedora Update System 2009-12-07 02:34:00 EST
sugar-getiabooks-3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-12-07 02:34:47 EST
sugar-getiabooks-3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.